<?xml version="1.0" encoding="UTF-8"?>
<!--
    Copyright (c) 2008, 2019 IBM Corporation and others.
    This program and the accompanying materials
    are made available under the terms of the Eclipse Public License 2.0
    which accompanies this distribution, and is available at
    https://www.eclipse.org/legal/epl-2.0/

    SPDX-License-Identifier: EPL-2.0

    Contributors:
        IBM Corporation - initial API and implementation
 -->

<site
    digestURL="http://download.eclipse.org/webtools/updates/"
    mirrorsURL="http://www.eclipse.org/downloads/download.php?file=/webtools/updates/site.xml&amp;format=xml"
    pack200="true">
    <description
        url="http://download.eclipse.org/webtools/updates/index.html"> The update site contains the features of the of Eclipse Web
        Tools Project (WTP)</description>
    <feature
        id="org.eclipse.wst.xml_ui.feature"
        url="features/org.eclipse.wst.xml_ui.feature_3.0.0.v200806092130-7F2EN0Cwum5M5u64RsGoSUMYCSXS.jar"
        version="3.0.0.v200806092130-7F2EN0Cwum5M5u64RsGoSUMYCSXS">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.wst.jsdt.feature"
        url="features/org.eclipse.wst.jsdt.feature_1.0.0.v200806092130-6--BcMAAwAbQRLQLo.jar"
        version="1.0.0.v200806092130-6--BcMAAwAbQRLQLo">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.wst"
        url="features/org.eclipse.wst_3.0.0.v200806092130-7A-8Y8QqN2lf4VSWrI2ek5Pf4k7s.jar"
        version="3.0.0.v200806092130-7A-8Y8QqN2lf4VSWrI2ek5Pf4k7s">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.jst"
        url="features/org.eclipse.jst_3.0.0.v200806111800-7U-8Y9LIrwYBUV7sHGjhtz0LTrMd.jar"
        version="3.0.0.v200806111800-7U-8Y9LIrwYBUV7sHGjhtz0LTrMd">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.jpt.feature"
        url="features/org.eclipse.jpt.feature_2.0.0.v200806090000-7938aCYQCD4CmHbCCCC.jar"
        version="2.0.0.v200806090000-7938aCYQCD4CmHbCCCC">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.jpt.eclipselink.feature"
        url="features/org.eclipse.jpt.eclipselink.feature_2.0.0.v200806090000-3--8s733I3D683333.jar"
        version="2.0.0.v200806090000-3--8s733I3D683333">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.jst.webpageeditor.feature"
        url="features/org.eclipse.jst.webpageeditor.feature_2.0.0.v200805191452-32-9oA55S5M5J.jar"
        version="2.0.0.v200805191452-32-9oA55S5M5J">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.jst.jsf.apache.trinidad.tagsupport.feature"
        url="features/org.eclipse.jst.jsf.apache.trinidad.tagsupport.feature_2.0.0.v20080605-1--7w31191716.jar"
        version="2.0.0.v20080605-1--7w31191716">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.jst.ws.axis2tools.feature"
        url="features/org.eclipse.jst.ws.axis2tools.feature_1.0.0.v200805191452-77-E_5CYQCD4ClWDK1Wj.jar"
        version="1.0.0.v200805191452-77-E_5CYQCD4ClWDK1Wj">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.wst.xsl.feature"
        url="features/org.eclipse.wst.xsl.feature_0.5.0.v200806220600-79871EC3wSUITbgY9SSF8.jar"
        version="0.5.0.v200806220600-79871EC3wSUITbgY9SSF8">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.wst.jsdt_sdk.feature"
        url="features/org.eclipse.wst.jsdt_sdk.feature_1.0.0.v200806040130-2--8342EnPJE6FfWUNZNqCdNBBxB.jar"
        version="1.0.0.v200806040130-2--8342EnPJE6FfWUNZNqCdNBBxB">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.wst.xml_sdk.feature"
        url="features/org.eclipse.wst.xml_sdk.feature_3.0.0.v200806092130-79--8CV8IkysFNkgPdQ0aB-Yt6RK.jar"
        version="3.0.0.v200806092130-79--8CV8IkysFNkgPdQ0aB-Yt6RK">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.wst.sdk"
        url="features/org.eclipse.wst.sdk_3.0.0.v200806110645-7A-8Y8Pj5N752THM_Pk62dwkDiRH.jar"
        version="3.0.0.v200806110645-7A-8Y8Pj5N752THM_Pk62dwkDiRH">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.jst.sdk"
        url="features/org.eclipse.jst.sdk_3.0.0.v200806111800-7X-8Y9RHFdm-LOHlz0MFwKFbZAK7.jar"
        version="3.0.0.v200806111800-7X-8Y9RHFdm-LOHlz0MFwKFbZAK7">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.jpt_sdk.feature"
        url="features/org.eclipse.jpt_sdk.feature_2.0.0.v200805060000-5--90H8CvHoXSI9HrJlOINqDZRDE.jar"
        version="2.0.0.v200805060000-5--90H8CvHoXSI9HrJlOINqDZRDE">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.jpt.eclipselink_sdk.feature"
        url="features/org.eclipse.jpt.eclipselink_sdk.feature_2.0.0.v200805220000-4--8042B1_B6U6G9A59559t844J4.jar"
        version="2.0.0.v200805220000-4--8042B1_B6U6G9A59559t844J4">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.wst.common_ui.feature"
        url="features/org.eclipse.wst.common_ui.feature_3.0.0.v200806092130-7C78ELSE8VrRVor6q2hez07sOLYD.jar"
        version="3.0.0.v200806092130-7C78ELSE8VrRVor6q2hez07sOLYD">
        <category
            name="Enabling Features"/>
    </feature>
    <feature
        id="org.eclipse.wst.common_sdk.feature"
        url="features/org.eclipse.wst.common_sdk.feature_3.0.0.v200806092130-791-_tTFGtUxSTkAdqr-Lz0Cz02S.jar"
        version="3.0.0.v200806092130-791-_tTFGtUxSTkAdqr-Lz0Cz02S">
        <category
            name="Enabling Features"/>
    </feature>
    <feature
        id="org.eclipse.jst.webpageeditor_sdk.feature"
        url="features/org.eclipse.jst.webpageeditor_sdk.feature_2.0.0.v200805230650-4--8072Bz-DC9e9TCO0430_pB66T.jar"
        version="2.0.0.v200805230650-4--8072Bz-DC9e9TCO0430_pB66T">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.jst.jsf.apache.trinidad.tagsupport_sdk.feature"
        url="features/org.eclipse.jst.jsf.apache.trinidad.tagsupport_sdk.feature_2.0.0.v20080602-4--7z42A56_4G3A388x422_2827.jar"
        version="2.0.0.v20080602-4--7z42A56_4G3A388x422_2827">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.jst.ws.axis2tools_sdk.feature"
        url="features/org.eclipse.jst.ws.axis2tools_sdk.feature_1.0.0.v200805191452-2--84B2HK8KccGKBHngNMIjrDZRD.jar"
        version="1.0.0.v200805191452-2--84B2HK8KccGKBHngNMIjrDZRD">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.wst.xsl_sdk.feature"
        url="features/org.eclipse.wst.xsl_sdk.feature_0.5.0.v200806220600-079-84DA_BHL9-VdLWdqkJcWXN4x.jar"
        version="0.5.0.v200806220600-079-84DA_BHL9-VdLWdqkJcWXN4x">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature> 
    
            
    <!-- previous 202 update site with patches -->
    <feature
        id="org.eclipse.wst.xml_ui.feature"
        url="features/org.eclipse.wst.xml_ui.feature_2.0.2.v200802150100-7A1ECMCnbcl1bVs9uNm_Zkieb7Qe.jar"
        version="2.0.2.v200802150100-7A1ECMCnbcl1bVs9uNm_Zkieb7Qe">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.wst"
        url="features/org.eclipse.wst_2.0.2.v200802150100-7C-7C8k0JWR293WFMOOObjNnnqho.jar"
        version="2.0.2.v200802150100-7C-7C8k0JWR293WFMOOObjNnnqho">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.jst"
        url="features/org.eclipse.jst_2.0.2.v200802150100-7B-7_8dDTOvmuz0di_U5vgUfz0em.jar"
        version="2.0.2.v200802150100-7B-7_8dDTOvmuz0di_U5vgUfz0em">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.jpt.feature"
        url="features/org.eclipse.jpt.feature_1.0.2.v200802140100-77-7_CYQCD2CaLYCHCD.jar"
        version="1.0.2.v200802140100-77-7_CYQCD2CaLYCHCD">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.wst.xml_sdk.feature"
        url="features/org.eclipse.wst.xml_sdk.feature_2.0.2.v200802150100-4-384F4HNPHrjfp4eY0Myg0ZqZLI.jar"
        version="2.0.2.v200802150100-4-384F4HNPHrjfp4eY0Myg0ZqZLI">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.wst.sdk"
        url="features/org.eclipse.wst.sdk_2.0.2.v200802150100-7E-7E8aNek-SRfrjr6TqAZAYKdiU.jar"
        version="2.0.2.v200802150100-7E-7E8aNek-SRfrjr6TqAZAYKdiU">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.jst.sdk"
        url="features/org.eclipse.jst.sdk_2.0.2.v200802150100-7F-7D8fNerpqc2VheGP-mWEPz-u9.jar"
        version="2.0.2.v200802150100-7F-7D8fNerpqc2VheGP-mWEPz-u9">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.jpt_sdk.feature"
        url="features/org.eclipse.jpt_sdk.feature_1.0.2.v200802140100-2-384B2_KFdUJG6FdNiMJMQDZRDE.jar"
        version="1.0.2.v200802140100-2-384B2_KFdUJG6FdNiMJMQDZRDE">
        <category
            name="Web Tools Platform (WTP)"/>
    </feature>
    <feature
        id="org.eclipse.wst.common_ui.feature"
        url="features/org.eclipse.wst.common_ui.feature_2.0.2.v200802150100-7C5EH3E9RvTVnirrspVz0bmP7g8d.jar"
        version="2.0.2.v200802150100-7C5EH3E9RvTVnirrspVz0bmP7g8d">
        <category
            name="Enabling Features"/>
    </feature>
    <feature
        id="org.eclipse.wst.common_sdk.feature"
        url="features/org.eclipse.wst.common_sdk.feature_2.0.2.v200802150100-4-384H8HS6JCZyXYql06-5r3HoFL.jar"
        version="2.0.2.v200802150100-4-384H8HS6JCZyXYql06-5r3HoFL">
        <category
            name="Enabling Features"/>
    </feature>
    <feature
        id="org.eclipse.wst.server_core.feature.patch"
        url="features/org.eclipse.wst.server_core.feature.patch_2.0.2.v200803130320-1-_D7w311914191948.jar"
        version="2.0.2.v200803130320-1-_D7w311914191948">
        <category
            name="Patch Features"/>
    </feature>
    <feature
        id="org.eclipse.jst.web_core.feature.patch"
        url="features/org.eclipse.jst.web_core.feature.patch_2.0.2.v200803130320-108f7w311914182_41.jar"
        version="2.0.2.v200803130320-108f7w311914182_41">
        <category
            name="Patch Features"/>
    </feature>
    <feature
        id="org.eclipse.jst.web_core.feature.patch"
        url="features/org.eclipse.jst.web_core.feature.patch_2.0.2.v200803241913-208i8s733I395D6BA7.jar"
        version="2.0.2.v200803241913-208i8s733I395D6BA7">
        <category
            name="Patch Features"/>
    </feature>
    <feature
        id="org.eclipse.jst.web_core.feature.patch2"
        url="features/org.eclipse.jst.web_core.feature.patch2_2.0.2.v200803241913-208i8s733I395D6BA7.jar"
        version="2.0.2.v200803241913-208i8s733I395D6BA7">
        <category
            name="Patch Features"/>
    </feature>
    <feature
        id="org.eclipse.jpt.patch"
        url="features/org.eclipse.jpt.patch_1.0.2.v200803130100-1-27w311914231211.jar"
        version="1.0.2.v200803130100-1-27w311914231211">
        <category
            name="Patch Features"/>
    </feature>
    <category-def
        label="Enabling Features"
        name="Enabling Features">
        <description> These features provide functionality required by
            one or more projects, but do not provide end-user
            functionality by themselves.</description>
    </category-def>
    <category-def
        label="Web Tools Platform (WTP)"
        name="Web Tools Platform (WTP)">
        <description
            url="http://download.eclipse.org/webtools/updates/index.html"> This category contains the features of the Eclipse Web
            Tools Project (WTP).</description>
    </category-def>
    <category-def
        label="Patch Features"
        name="Patch Features">
        <description> These features provide fixes to particularly bad
            bugs in released code.</description>
    </category-def>
</site>